com.mockobjects.util

## Class SuiteBuilder

- java.lang.Object
- - com.mockobjects.util.SuiteBuilder

-     public class SuiteBuilder
      extends java.lang.Object

  Singleton to fill in a JUnit Test composite for use in a suite method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuiteBuilder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.TestSuite` | `buildTest(java.lang.Class allTestsClass)`
    `static junit.framework.TestSuite` | `buildTest(java.lang.Class allTestsClass, ErrorLogger logger)`
    `static boolean` | `isAddMethod(java.lang.reflect.Method m)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuiteBuilder

          public SuiteBuilder()

  - ### Method Detail

    - #### buildTest

          public static junit.framework.TestSuite buildTest(java.lang.Class allTestsClass)

    - #### buildTest

          public static junit.framework.TestSuite buildTest(java.lang.Class allTestsClass,
                                                            ErrorLogger logger)

    - #### isAddMethod

          public static boolean isAddMethod(java.lang.reflect.Method m)

Copyright © 2002 Mock Objects. All Rights Reserved.